/* Created on 2021-08-02 */

/**
 * This module provides a list data structure which encapsulates list items
 * with a selection state.
 * <p>
 * The list type is based on {@link javafx.collections.ObservableList} and
 * provides a selection change listening mechanism.
 * </p>
 * <p>
 * The {@link de.bernd_michaely.common.desktop.fx.collections.selection.ListSelectionHandler}
 * type provides properties indicating the number of selected list items and
 * all/nothing selected info. This works also through an optional
 * transformation chain.
 * </p>
 */
module de.bernd_michaely.common.desktop.fx.collections.selection
{
	requires transitive javafx.base;
	exports de.bernd_michaely.common.desktop.fx.collections.selection;
}
